
%global meadversion 3.0.4
%global namedversion 3.0.4.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-security-negotiation}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.4.Final-redhat-1

Name:           %{?scl_prefix}jboss-security-negotiation
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Negotiation Aggregator
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jboss-negotiation-main-3.0.4.Final-redhat-1-scm-sources.zip
Source102: jboss-negotiation-toolkit-3.0.4.Final-redhat-1.pom
Source103: jboss-negotiation-toolkit-3.0.4.Final-redhat-1-javadoc.jar
Source104: jboss-negotiation-toolkit-3.0.4.Final-redhat-1-sources.jar
Source105: jboss-negotiation-toolkit-3.0.4.Final-redhat-1.war
Source106: jboss-negotiation-extras-3.0.4.Final-redhat-1-sources.jar
Source107: jboss-negotiation-extras-3.0.4.Final-redhat-1.pom
Source108: jboss-negotiation-extras-3.0.4.Final-redhat-1-javadoc.jar
Source109: jboss-negotiation-extras-3.0.4.Final-redhat-1.jar
Source110: jboss-negotiation-project-3.0.4.Final-redhat-1.pom
Source111: jboss-negotiation-ntlm-3.0.4.Final-redhat-1.pom
Source112: jboss-negotiation-ntlm-3.0.4.Final-redhat-1-sources.jar
Source113: jboss-negotiation-ntlm-3.0.4.Final-redhat-1.jar
Source114: jboss-negotiation-ntlm-3.0.4.Final-redhat-1-javadoc.jar
Source115: jboss-negotiation-common-3.0.4.Final-redhat-1-javadoc.jar
Source116: jboss-negotiation-common-3.0.4.Final-redhat-1.jar
Source117: jboss-negotiation-common-3.0.4.Final-redhat-1-sources.jar
Source118: jboss-negotiation-common-3.0.4.Final-redhat-1.pom
Source119: jboss-negotiation-main-3.0.4.Final-redhat-1-project-sources.tar.gz
Source120: jboss-negotiation-main-3.0.4.Final-redhat-1-javadoc.jar
Source121: jboss-negotiation-main-3.0.4.Final-redhat-1.pom
Source122: jboss-negotiation-spnego-3.0.4.Final-redhat-1-javadoc.jar
Source123: jboss-negotiation-spnego-3.0.4.Final-redhat-1-sources.jar
Source124: jboss-negotiation-spnego-3.0.4.Final-redhat-1.pom
Source125: jboss-negotiation-spnego-3.0.4.Final-redhat-1.jar
%endif

URL:            http://labs.jboss.org/portal/jbosssecurity/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-negotiation-main-%{namedversion}-%{release}-root

%description
JBoss Security is a cross cutting project that handles security for the JEMS
projects.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-negotiation-main
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-negotiation -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-negotiation-common-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-negotiation-common-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jboss-negotiation-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-negotiation-common-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-negotiation-extras-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-negotiation-extras-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jboss-negotiation-extras-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-negotiation-extras-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-negotiation-ntlm-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-negotiation-ntlm-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jboss-negotiation-ntlm-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-negotiation-ntlm-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-negotiation-spnego-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-negotiation-spnego-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jboss-negotiation-spnego-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-negotiation-spnego-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-negotiation-toolkit-%{namedversion}.war %{buildroot}%{_javadir}/jboss-negotiation-toolkit-%{namedversion}.war
%{__cp} -p %{_sourcedir}/jboss-negotiation-toolkit-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-negotiation-toolkit-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-negotiation-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-negotiation-common-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jboss-negotiation-extras-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-negotiation-extras-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jboss-negotiation-ntlm-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-negotiation-ntlm-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jboss-negotiation-spnego-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-negotiation-spnego-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jboss-negotiation-toolkit-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-negotiation-toolkit-%{namedversion}-javadoc.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-security-negotiation-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-negotiation-main-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-security-negotiation-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/jboss-security-negotiation-%{namedversion}/META-INF
%{__ln_s} jboss-security-negotiation-%{namedversion} %{buildroot}%{_javadocdir}/jboss-security-negotiation
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/jboss-negotiation-common-%{namedversion}.jar
%{_javadir}/jboss-negotiation-common.jar
%{_javadir}/jboss-negotiation-common-%{namedversion}-sources.jar
%{_javadir}/jboss-negotiation-common-sources.jar
%{_javadir}/jboss-negotiation-extras-%{namedversion}.jar
%{_javadir}/jboss-negotiation-extras.jar
%{_javadir}/jboss-negotiation-extras-%{namedversion}-sources.jar
%{_javadir}/jboss-negotiation-extras-sources.jar
%{_javadir}/jboss-negotiation-ntlm-%{namedversion}.jar
%{_javadir}/jboss-negotiation-ntlm.jar
%{_javadir}/jboss-negotiation-ntlm-%{namedversion}-sources.jar
%{_javadir}/jboss-negotiation-ntlm-sources.jar
%{_javadir}/jboss-negotiation-spnego-%{namedversion}.jar
%{_javadir}/jboss-negotiation-spnego.jar
%{_javadir}/jboss-negotiation-spnego-%{namedversion}-sources.jar
%{_javadir}/jboss-negotiation-spnego-sources.jar
%{_javadir}/jboss-negotiation-toolkit-%{namedversion}.war
%{_javadir}/jboss-negotiation-toolkit.war
%{_javadir}/jboss-negotiation-toolkit-%{namedversion}-sources.jar
%{_javadir}/jboss-negotiation-toolkit-sources.jar
%if %with javadoc
%{_javadir}/jboss-negotiation-common-%{namedversion}-javadoc.jar
%{_javadir}/jboss-negotiation-common-javadoc.jar
%{_javadir}/jboss-negotiation-extras-%{namedversion}-javadoc.jar
%{_javadir}/jboss-negotiation-extras-javadoc.jar
%{_javadir}/jboss-negotiation-ntlm-%{namedversion}-javadoc.jar
%{_javadir}/jboss-negotiation-ntlm-javadoc.jar
%{_javadir}/jboss-negotiation-spnego-%{namedversion}-javadoc.jar
%{_javadir}/jboss-negotiation-spnego-javadoc.jar
%{_javadir}/jboss-negotiation-toolkit-%{namedversion}-javadoc.jar
%{_javadir}/jboss-negotiation-toolkit-javadoc.jar
%endif


%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-security-negotiation-%{namedversion}
%{_javadocdir}/jboss-security-negotiation
%endif

%changelog
* Tue Jul 24 2018 Permaine Cheung <pcheung@redhat.com> - 3.0.4-2.Final_redhat_1.1
- Rewrap

* Mon Jun 25 2018 Yong Yang <yyang@redhat.com> - 3.0.4-1.Final_redhat_1.1
-  3.0.4.Final-redhat-1 for eap 7.2.0

* Fri Jul 29 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.3-1.Final_redhat_1.1
- Upgrade 3.0.3.Final

* Thu Apr 07 2016 Petr Sakar <psakar@redhat.com> - 3.0.2-1.Final_redhat_1.1
- upgrade to 3.0.2.Final-redhat-1

* Thu Nov 05 2015 Neil Wallace <nwallace@redhat.com> - 3.0.0-1.Final_redhat_1.1
- Upgrade to 3.0.0.Final

* Thu Nov 05 2015 Neil Wallace <nwallace@redhat.com> - 3.0.0-1.Final_redhat_1.1
- jboss-negotiation-net jar removed from the project Sept 11th

* Tue Nov 03 2015 Neil Wallace <nwallace@redhat.com> - 3.0.0-1.Final_redhat_1.1
- Upgrade to 3.0.0.Final

* Tue Nov 03 2015 Neil Wallace <nwallace@redhat.com> - 3.0.0-1.Final_redhat_1.1
- Upgrade to 3.0.0.Final

* Sun Jul 05 2015 Hui Wang <huwang@redhat.com> - 2.3.7-2.Final_redhat_2.1
- Upgrade to 2.3.7.Final-redhat-2

* Wed Apr 22 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.3.7-1.Final_redhat_1.1
- Upgrade to 2.3.7.Final

* Wed Jan 07 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.3.6-1.Final_redhat_1.1
- Upgrade to 2.3.6.Final

* Mon Nov 24 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.3.5-1.Final_redhat_1.1
- Upgrade to 2.3.5.Final

* Wed Aug 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.3.4-1.Final_redhat_1.1
- Upgrade to 2.3.4.Final

* Tue Jun 03 2014 David Walluck <dwalluck@redhat.com> - 2.3.3-1.Final_redhat_1.1
- 2.3.3.Final-redhat-1


* Thu May 29 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.3.2-1.Final_redhat_1.1
- Upgrade to 2.3.2.Final

* Fri Apr 11 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.3.0-2.Final_redhat_1.1
- Upgrade to 2.3.0.Final

* Fri Mar 28 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.3.0-1.CR1_redhat_1.1
- Upgrade to 2.3.0.CR1

* Thu Feb 20 2014 Yong Yang <yyang@redhat.com> - 2.2.7-1.Final_redhat_1.1
- rebuild to pick up latest component-management pom

* Fri Oct 25 2013 David Walluck <dwalluck@redhat.com> 0:2.2.6-2
- change back to a monolithic package

* Fri Oct 25 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.2.6-1.Final_redhat_1
- Upgrade to 2.2.6.Final

* Wed Jul 31 2013 David Walluck <dwalluck@redhat.com> 0:2.2.5-3
- split package
- fix war name and location
- fix javadoc build
- fix URL

* Mon Jul 29 2013 Paul Gier <pgier@redhat.com> - 0:2.2.5-2.Final_redhat_2
- Rebuild to fix pom issue

* Tue May 07 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.2.5-1.Final_redhat_1
- Upgrade to 2.2.5.Final

* Mon May 06 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.2.4-1.Final_redhat_1
- Upgrade to 2.2.4.Final

* Wed Apr 24 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.2.3-1.Final_redhat_1
- Upgrade to 2.2.3.Final

* Thu Mar 07 2013 Fernando Nasser <fnasser@redhat.com> - 0:2.2.1-2.Final_redhat_1.1
- Remove dependencies for EAP 5 bits or things that are "provided" by the server

* Sun Feb 17 2013 Lin Gao <lgao@redhat.com> - 0:2.2.2-1.Final_redhat_1
- Upgrade to 2.2.2.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.1-2.Final_redhat_1
- Rebuild for MD5

* Fri Aug 17 2012 Lin Gao <lgao@redhat.com> - 0:2.2.1-1.Final_redhat_1
- Upgrade to 2.2.1.Final

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.0-1.SP1_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.0-1.SP1_redhat_1.1
- Rebuild using cache signing

* Tue May 22 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.0-1.SP1_redhat_1
- Remove javadoc from SRPM and disable javadoc subpackage

* Fri Mar 16 2012 Lin Gao <lgao@redhat.com> - 0:2.2.0-0.6.SP1_redhat_1
- use new wrapper
- change jars install path

* Thu Feb 16 2012 Lin Gao <lgao@redhat.com> - 0:2.2.0-0.5.SP1_redhat_1
- upgrade to 2.2.0.SP1
- no assemble artifact in 2.2.0.SP1
- use javadoc:aggregate-jar

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:2.2.0-0.4.Beta3_redhat_1
- Rebuild to use new signing key

* Wed Feb 01 2012 Hui Wang <huwang@redhat.com> - 0:2.2.0-0.3.Beta3_redhat_1
- RPM build

* Thu Dec 09 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-2.SP3.3
- Build with maven 2.2.1
- Change BR maven-release to maven-release-plugin
- Add BR maven-deploy-plugin, maven-site-plugin, xpp3-minimal

* Thu Jun 3 2010 Yiqiao Wang <yiwang@redhat.com> - 0:2.0.3-2.SP3.2
- Merge From RHEL4

* Thu May 27 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.0.3-2.SP3.2
- Fix repolib location
- Do not include repolib content in main rpm

* Thu May 27 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.0.3-2.SP3.1
- Update to SP3

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-1.SP2.6.1
- rebuilt

* Wed Apr 21 2010 Hui Wang <huwang@redhat.com> - 0:2.0.3-1.SP2.6
- Rebuild

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> - 0:2.0.3-1.SP2.5
- Rebuild

* Tue Dec 01 2009 Yong Yang <yyang@redhat.com> - 0:2.0.3-1.SP2.4
- Change version in poms from 2.0.3.SP02 to 2.0.3.SP2

* Wed Nov 11 2009 Yong Yang <yyang@redhat.com> - 0:2.0.3-1.SP2.3
- Use namedversion(not version) to replace the @VERSION@ of component-info.xml 

* Tue Nov 10 2009 Yong Yang <yyang@redhat.com> - 0:2.0.3-1.SP2.2
- Add repolib

* Fri Sep 11 2009 Fernando Nasser <fnasser@redhat.com> - 0:2.0.3-1.SP2.1
- Update to SP2

* Tue Sep 08 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.0.3.1-1
- first release
